#ifndef PROGRAM_SETTING_H
#define PROGRAM_SETTING_H

#include <TQObject.h>
#include <RQ_OBJECT.h>
#include <TGNumberEntry.h>
#include <TGButton.h>
#include <TGComboBox.h>
#include <TThread.h>
#include <TGLabel.h>
#include <TGTextEdit.h>
#include "ClassDigitizer.h"
#include "macro.h"

class TGWindow;
class TGMainFrame;

class ProgramSetting{
  RQ_OBJECT("ProgramSetting")
  private:
    TGMainFrame * fMain;
    
    TGTextEntry * txtIP;
    TGTextEntry * txtDBName;
    TGTextEntry * txtDataPath;
    TGTextEntry * txtExpName;
    TGTextEntry * txtElogIP;

  public:
    ProgramSetting(const TGWindow *p);
    virtual ~ProgramSetting();
    
    void CloseWindow() { delete this;}

    static std::string databaseIP;
    static std::string databaseName;
    static std::string DataSavingPath;
    static std::string ExpName;
    static std::string ElogIP;

    const static std::string settingFileName; // fixed as FSUDAQ.sh

    void SetSetting(); // *SIGNAL*
    
    static void PrintSettings();
    static void LoadProgramSetting();
    static void SaveProgramSetting();
    
    void SetFolder();
    
};

#endif
